<master src="master">
<property name="title">Manage mail class permissions</property>
<property name="context_bar">@context_bar;noquote@</property>

<if @public_p@ eq t>
  <h3>This mail class "@name@" is public. All other admins can use it.</h3>
  <a href="class-permissions-2?class_id=@class_id@&public_p=f">Make private</a>
</if>
<else>
  <h3>This mail class "@name@" is private.
  <if @users_read:rowcount@ gt 0>
    The following admins can use it:</h3>
    <form method=post action="class-permissions-2">
      @export_vars;noquote@
      <multiple name=users_read>
        <input type=checkbox name="users_read" value="@users_read.user_id@"<if @users_read.read_p@ eq t> checked</if>> @users_read.first_names@ @users_read.last_name@<br>
      </multiple>
      <p>
      <input type=submit value=Change>
    </form><p>
  </if><else>
    </h3>
  </else>
  <a href="class-permissions-2?class_id=@class_id@&public_p=t">Make public</a>
</else>

<if @users_admin:rowcount@ gt 0>
  <h3>The following admins can edit/delete/use this mail class:</h3>
  <form method=post action="class-permissions-2">
    @export_vars;noquote@
    <multiple name=users_admin>
      <input type=checkbox name="users_admin" value="@users_admin.user_id@"<if @users_admin.admin_p@ eq t> checked</if>> @users_admin.first_names@ @users_admin.last_name@<br>
    </multiple>
    <p>
    <input type=submit value=Change>
  </form>
</if>
