<master src="master">
<property name="title">Mail Job Preview</property>
<property name="context_bar">@context_bar;noquote@</property>

<blockquote>
  <b>Scheduled Date:</b> @scheduled_date@<p>
  
  <b>From:</b> @sender_email@<p>
  <b>To:</b> <if @selection_id@ not nil><a href="@selection_url@">@selection_name@</a></if>
             <if @list_id@ not nil><a href="@list_url@">@list_name@</a></if>
	     <if @list_id@ nil and @selection_id@ nil>Deleted Mailing List or Users Selection</if><p>
  <b>Subject:</b> @mail_subject@<p>
  <if @mail_text_body@ not nil>
    <b>Text Body:</b><p>
    @mail_text_body;noquote@
    <p>
  </if>
  <if @mail_html_body@ not nil>
    <b>HTML Body:</b><p>
    @mail_html_body;noquote@
    <p>
  </if>

  <if @attachments:rowcount@ gt 0>
    <p><b>Attachments:</b></p>
    <ul>
      <multiple name=attachments>
        <li>@attachments.name@</li>
      </multiple>
    </ul>
  </if>

  <if @tcl_code_p@ eq 1>
    <p><b>Error! It is not allowed to use inline-tcl code in the mail!</b></p>
  </if>

  <if @var_errors:rowcount@ gt 0>
    <p><b>Error! The following variables are not supported:</b></p>
    <ul>
      <multiple name=var_errors>
        <li>\@@var_errors.var@\@</li>
      </multiple>
    </ul>
  </if>
</blockquote>

<if @var_errors:rowcount@ eq 0 and @tcl_code_p@ eq 0>
  <include src="/packages/acs-templating/resources/forms/confirm-button" form_html="enctype=multipart/form-data">
</if>
